//Include gaurd.
#ifndef GAME2048_HPP
#define GAME2048_HPP

#include <vector> //Inlcudes std::vector library.

class Game2048 {

public:
    Game2048();
    void start(); //Initalizes game loop.
    void printBoard(); //Displays current game board.
    bool moveLeft(); //Handles player moves.
    bool moveRight(); //Handles player moves.
    bool moveUp(); //Handles player moves.
    bool moveDown();//Handles player moves.
    bool isGameOver(); //Checks whether game is over.

private:
    std::vector<std::vector<int>> board; //Represents the game board.
    void generateNewTile(); //Places new tile randomly on board.
    void merge(std::vector<int>& row); //Combines adjacent tiles during a move.
};

#endif //Closes include gaurd.
